Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 4582)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 4583)
@@ -441,22 +413,20 @@
           kmzm = 0.25_wp * ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
 
-          tend(k,j,i) = tend(k,j,i)                                            &
-                        + ( kmzp * ( ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)   &
-                                   + ( w(k,j,i)   - w(k,j,i-1) ) * ddx         &
-                                   ) * rho_air_zw(k)   * mask_top              &
-                          - kmzm * ( ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)   &
-                                   + ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx       &
-                                   ) * rho_air_zw(k-1) * mask_bottom           &
+          tend(k,j,i) = tend(k,j,i)                                                                &
+                        + ( kmzp * ( ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)                       &
+                                   + ( w(k,j,i)   - w(k,j,i-1) ) * ddx                             &
+                                   ) * rho_air_zw(k)   * mask_top                                  &
+                          - kmzm * ( ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)                       &
+                                   + ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx                           &
+                                   ) * rho_air_zw(k-1) * mask_bottom                               &
                           ) * ddzw(k) * drho_air(k) * flag
        ENDDO
 
 !
-!--    Vertical diffusion at the first surface grid points, if the
-!--    momentum flux at the bottom is given by the Prandtl law or if it is
-!--    prescribed by the user.
-!--    Difference quotient of the momentum flux is not formed over half of
-!--    the grid spacing (2.0*ddzw(k)) any more, since the comparison with 
-!--    other (LES) models showed that the values of the momentum flux becomes
-!--    too large in this case.
+!--    Vertical diffusion at the first surface grid points, if the momentum flux at the bottom is
+!--    given by the Prandtl law or if it is prescribed by the user.
+!--    Difference quotient of the momentum flux is not formed over half of the grid spacing
+!--    (2.0*ddzw(k)) any more, since the comparison with other (LES) models showed that the values
+!--    of the momentum flux becomes too large in this case.
        IF ( use_surface_fluxes )  THEN
 !
@@ -468,7 +438,5 @@
              k   = surf_def_h(0)%k(m)
 
-             tend(k,j,i) = tend(k,j,i)                                         &
-                        + ( - ( - surf_def_h(0)%usws(m) )                      &
-                          ) * ddzw(k) * drho_air(k)
+             tend(k,j,i) = tend(k,j,i) + ( - ( - surf_def_h(0)%usws(m) ) ) * ddzw(k) * drho_air(k)
           ENDDO
 !
@@ -480,7 +448,5 @@
              k   = surf_def_h(1)%k(m)
 
-             tend(k,j,i) = tend(k,j,i)                                         &
-                        + ( - surf_def_h(1)%usws(m)                            &
-                          ) * ddzw(k) * drho_air(k)
+             tend(k,j,i) = tend(k,j,i) + ( - surf_def_h(1)%usws(m) ) * ddzw(k) * drho_air(k)
           ENDDO
 !
@@ -492,7 +458,5 @@
              k   = surf_lsm_h%k(m)
 
-             tend(k,j,i) = tend(k,j,i)                                         &
-                        + ( - ( - surf_lsm_h%usws(m) )                         &
-                          ) * ddzw(k) * drho_air(k)
+             tend(k,j,i) = tend(k,j,i) + ( - ( - surf_lsm_h%usws(m) ) ) * ddzw(k) * drho_air(k)
           ENDDO
 !
@@ -504,7 +468,5 @@
              k   = surf_usm_h%k(m)
 
-             tend(k,j,i) = tend(k,j,i)                                         &
-                       + ( - ( - surf_usm_h%usws(m) )                          &
-                         ) * ddzw(k) * drho_air(k)
+             tend(k,j,i) = tend(k,j,i) + ( - ( - surf_usm_h%usws(m) ) ) * ddzw(k) * drho_air(k)
           ENDDO
 
@@ -519,6 +481,5 @@
              k   = surf_def_h(2)%k(m)
 
-             tend(k,j,i) = tend(k,j,i)                                         &
-                           + ( - surf_def_h(2)%usws(m) ) * ddzw(k) * drho_air(k)
+             tend(k,j,i) = tend(k,j,i) + ( - surf_def_h(2)%usws(m) ) * ddzw(k) * drho_air(k)
           ENDDO
        ENDIF
